<?xml version="1.0" encoding="ASCII"?>
<state:StateMachine xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:state="http://state/1.0" xsi:schemaLocation="http://state/1.0 State.ecore">
  <states xsi:type="state:SingleState" name="S1" isInitial="true">
    <outgoing target="//@states.1" event="e"/>
  </states>
  <states xsi:type="state:SingleState" name="S2" incoming="//@states.0/@outgoing.0">
    <outgoing target="//@states.2" event="f"/>
  </states>
  <states xsi:type="state:SingleState" name="S3" incoming="//@states.1/@outgoing.0" isFinal="true"/>
</state:StateMachine>
